org.eclipse.jetty.security.jaspi.modules

## Class UserInfo

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.modules.UserInfo

    public class UserInfo
    extends Object

Version:
  $Rev: 4466 $ $Date: 2009-02-10 23:42:54 +0100 (Tue, 10 Feb 2009) $

### Constructor Summary

Constructors
Constructor and Description
`UserInfo(String userName, char[] password)`

### Method Summary

Methods
`void` `clearPassword()`
`char[]` `getPassword()`
`String` `getUserName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserInfo

    public UserInfo(String userName,
            char[] password)

### Method Detail

#### getUserName

    public String getUserName()

#### getPassword

    public char[] getPassword()

#### clearPassword

    public void clearPassword()